# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [3.0.0] - 2024-02-12

### Added

- Add new options: `--a4`, `--letter`, `--remove-origin`, `--list-fields`, `--list-functions`,
  `--header-*` and `--footer-*` related options, meta data related options like
  `--title`, `--subtitle`, `--composer`, `--lyricist`, `--reset-small-staffs`
- More argparse groups

### Changed

- Colorize the command line output by default
- Less output in `--help`
- Merge the options `--rename` and `--format` into one

### Removed

- Legacy command line interface `mscx-manager` (use the new `musescore-manager`)

## [2.0.0] - 2024-01-21

### Added

- A new command line interface that can be called via the script name `musescore-manager`.
  The new interface no longer has any subcommands, so the program can be used much more flexibly.
  The old CLI script `mscx-manager` is still available.

### Changed

- Support for Python 3.8 and lower versions has been discontinued.

## [1.3.1] - 2024-01-02

## [1.3.0] - 2021-06-23

## [1.2.0] - 2019-12-31

## [1.1.1] - 2019-12-31

## [1.1.0] - 2019-12-31

## [1.0.2] - 2019-12-30

## [1.0.1] - 2019-12-29

## [1.0.0] - 2019-03-25

## [0.1.8] - 2019-02-15

## [0.1.7] - 2018-04-27

## [0.1.6] - 2018-04-27

## [0.1.5] - 2018-04-27

## [0.1.4] - 2018-04-26

## [0.1.3] - 2018-04-26

## [0.1.2] - 2018-04-26

## [0.1.1] - 2018-04-25

## [0.1.0] - 2018-03-11

## [0.0.9] - 2017-12-15

## [0.0.8] - 2017-03-01

## [0.0.7] - 2016-10-09

## [0.0.6] - 2016-10-02

[unreleased]: https://github.com/Josef-Friedrich/mscxyz/compare/v3.0.0...HEAD
[3.0.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v2.0.0...v3.0.0
[2.0.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.3.1...v2.0.0
[1.3.1]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.3.0...v1.3.1
[1.3.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.2.0...v1.3.0
[1.2.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.1.1...v1.2.0
[1.1.1]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.1.0...v1.1.1
[1.1.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.0.2...v1.1.0
[1.0.2]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.0.1...v1.0.2
[1.0.1]: https://github.com/Josef-Friedrich/mscxyz/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.8...v1.0.0
[0.1.8]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.7...v0.1.8
[0.1.7]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.6...v0.1.7
[0.1.6]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.5...v0.1.6
[0.1.5]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.4...v0.1.5
[0.1.4]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.3...v0.1.4
[0.1.3]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.2...v0.1.3
[0.1.2]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.1...v0.1.2
[0.1.1]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.1.0...v0.1.1
[0.1.0]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.9...v0.1.0
[0.0.9]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.8...v0.0.9
[0.0.8]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.7...v0.0.8
[0.0.7]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.6...v0.0.7
[0.0.6]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.5...v0.0.6
[0.0.5]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.4...v0.0.5
[0.0.4]: https://github.com/Josef-Friedrich/mscxyz/compare/v0.0.3...v0.0.4
[0.0.3]: https://github.com/Josef-Friedrich/mscxyz/compare/6bab35c8fda9f9e68ad9cd5cddf8fdc9b2be2e5d...v0.0.3
